psocksxx::isockstream Class Reference

Input controller class for socket streams. More...

`#include <isockstream.h>`

Inheritance diagram for psocksxx::isockstream:

## Public Member Functions

| isockstream (sockstreambuf *ssb) throw ()
| constructor More...
virtual | ~isockstream () throw ()
| destructor
Public Member Functions inherited from psocksxx::iosocks
virtual | ~iosocks () throw ()
| destructor More...
bool | timedout () const throw ()
| get the timed-out status flag value More...
const timeval * | timeout (time_t sec, suseconds_t usec) throw ()
| set the timeout value for stream communications More...
void * | clear_timeout () throw ()
| clear the timeout value More...

## Additional Inherited Members

Protected Member Functions inherited from psocksxx::iosocks
| iosocks () throw ()
| empty default constructor More...

## Detailed Description

Input controller class for socket streams.

This class acts as an interface for getting inputs from a psocksxx::sockstreambuf class.

## Constructor & Destructor Documentation

## isockstream()

psocksxx::isockstream::isockstream | ( | sockstreambuf * | ssb | ) |
throw | ( |
| ) |  |

constructor

Parameters

  ssb | socket stream buffer

Create an input socket stream controller instance.